获取计划委托订单列表
响应示例
{
"success": true,
"code": 0,
"data": [
{
"id": "739114860879304259",
"symbol": "DOGE_USD",
"leverage": 2,
"side": 1,
"triggerPrice": 0.00001,
"price": 0.00001,
"vol": 1,
"openType": 1,
"triggerType": 2,
"state": 1,
"executeCycle": 87600,
"trend": 1,
"orderType": 1,
"errorCode": 0,
"priceProtect": 0,
"createTime": 1761889115000,
"updateTime": 1761889115000,
"positionMode": 1,
"lossTrend": 1,
"profitTrend": 1,
"reduceOnly": false
}
]
}
- GET
/api/v1/private/planorder/list/orders
需要权限: 读取订单信息
请求参数:
| 参数名 | 类型 | 是否必填 | 说明 |
|---|---|---|---|
| symbol | string | false | 合约名 |
| states | string | false | 状态,1:未触发,2:已取消,3:已执行,4:已失效,5:执行失败;多个用 ',' 隔开 |
| side | int | false | 订单方向,1:开多,2:平空,3:开空,4:平多 |
| start_time | long | true | 开始时间(Unix毫秒时间戳) |
| end_time | long | true | 结束时间(Unix毫秒时间戳) |
| page_num | int | true | 当前页数,默认为1 |
| page_size | int | true | 每页大小,默认20,最大100 |
响应参数:
| 参数名 | 类型 | 说明 |
|---|---|---|
| id | int | 订单id |
| symbol | string | 合约名 |
| leverage | decimal | 杠杆倍数 |
| side | string | 订单方向, 1开多,3开空 |
| triggerPrice | decimal | 触发价 |
| price | decimal | 执行价格 |
| vol | decimal | 下单数量 |
| openType | int | 开仓类型,1:逐仓,2:全仓 |
| triggerType | int | 触发类型,1:大于等于,2:小于等于 |
| state | int | 状态,1:未触发,2:已取消,3:已执行,4:已失效,5:执行失败 |
| executeCycle | int | 执行周期,单位:小时 |
| trend | int | 触发价格类型,1:最新价,2:合理价,3:指数价 |
| errorCode | int | 执行失败时错误码,0:正常 |
| orderId | long | 订单id,执行成功时返回 |
| orderType | int | 订单类型,1:限价单,2:Post Only只做Maker,3:立即成交或立即取消,4:全部成交或者全部取消,5:市价单 |
| createTime | long | 创建时间 |
| updateTime | long | 修改时间 |
| priceProtect | int | 价差保护 1开启0关闭 |
| positionMode | int | 用户设置持仓类型 默认0:历史订单无记录 2:单向 1:双向 |
| lossTrend | int | 止损参考价格类型 1 最新价 2合理价 3 指数价 |
| profitTrend | int | 止盈参考价格类型 1 最新价 2合理价 3 指数价 |
| stopLossPrice | decimal | 止损价 |
| takeProfitPrice | decimal | 止盈价 |
| reduceOnly | boolean | 只减仓 |